SQLITE_SERIALIZE_NOCOPY(3)

NAME
SQLITE_SERIALIZE_NOCOPY - Flags for sqlite3_serialize

SYNOPSIS
#define SQLITE_SERIALIZE_NOCOPY

DESCRIPTION
Zero or more of the following constants can be OR-ed together for the F argument to sqlite3_serialize(D,S,P,F).

SQLITE_SERIALIZE_NOCOPY means that sqlite3_serialize() will return a pointer to contiguous in-memory database that it is currently using, without making a copy of the database. If SQLite is not currently using a contiguous in-memory database, then this option causes sqlite3_serialize() to return a NULL pointer. SQLite will only be using a contiguous in-memory database if it has been initialized by a prior call to sqlite3_deserialize().

SEE ALSO
sqlite3_deserialize(3), sqlite3_serialize(3)